Foxit PDF RDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
DefaultAppearance Class Reference
Inheritance diagram for DefaultAppearance:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (flags, font, text_size, text_color)
| Constructor, with parameters. More...
| Set (flags, font, text_size, text_color)
| Set value. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| flags
| Flags to indicate which properties of default appearance are meaningful. More...
| font
| A font for default appearance. It should be a valid font object when it is useful. More...
| text_color
| Text color for default appearance. Format: 0xRRGGBB. More...
| text_size
| Text size for default appearance. More...

## Static Public Attributes
static | e_FlagFont
| Enumeration for default appearance flags. More...
static | e_FlagFontSize
| Indicates property text size of DefaultAppearance is meaningful.
static | e_FlagTextColor
| Indicates property text color of DefaultAppearance is meaningful.

## Detailed Description

This class represents default appearance data, which is used for free text annotation and form.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

DefaultAppearance.constructor | ( | flags | ,
|  | font | ,
|  | text_size | ,
|  | text_color |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | flags | Flags to indicate which properties of default appearance are meaningful. Please refer to values starting from DefaultAppearance.e_FlagFont and this can be one or a combination of these values.
  [in] | font | A valid font object for default appearance when parameter flags includes DefaultAppearance.e_FlagFont.
  [in] | text_size | Font size for default appearance when parameter flags includes DefaultAppearance.e_FlagFontSize. Usually it should be above 0. For some objects, the size 0 has special meaning. Please refer to the comment of functions which are used to set default appearance data to other object.
  [in] | text_color | Text color for default appearance. Format: 0xRRGGBB.

## ◆ Set()

DefaultAppearance.Set | ( | flags | ,
|  | font | ,
|  | text_size | ,
|  | text_color |
| ) |  |

Set value.

Parameters

  [in] | flags | Flags to indicate which properties of default appearance are meaningful. Please refer to values starting from DefaultAppearance.e_FlagFont and this can be one or a combination of these values.
  [in] | font | A font for default appearance. Please ensure this is a valid font object when parameter flags includes DefaultAppearance.e_FlagFont.
  [in] | text_size | Font size for default appearance when parameter flags includes DefaultAppearance.e_FlagFontSize. Usually it should be above 0. For some objects, the size 0 has special meaning. Please refer to the comment of functions which are used to set default appearance data to other object.
  [in] | text_color | Text color for default appearance. Format: 0xRRGGBB.

Returns
  None.

## Member Data Documentation

## ◆ e_FlagFont

DefaultAppearance.e_FlagFont
| static

Enumeration for default appearance flags.

Values of this enumeration can be used alone or in combination.

Indicates property font of DefaultAppearance is meaningful.

## ◆ flags

DefaultAppearance.flags

Flags to indicate which properties of default appearance are meaningful.

Please refer to values starting from DefaultAppearance.e_FlagFont and this can be one or a combination of these values. 0 means no property of default appearance is meaningful.

## ◆ font

DefaultAppearance.font

A font for default appearance. It should be a valid font object when it is useful.

Note
  Useful only when flags of current object includes DefaultAppearance.e_FlagFont.

## ◆ text_color

DefaultAppearance.text_color

Text color for default appearance. Format: 0xRRGGBB.

Note
  Useful only when flags of current object includes DefaultAppearance.e_FlagTextColor.

## ◆ text_size

DefaultAppearance.text_size

Text size for default appearance.

Usually it should be above 0 when it is useful. For some objects, the size 0 has special meaning. Please refer to the comment of functions which are used to set default appearance data to other object.

Note
  Useful only when flags of current object includes DefaultAppearance.e_FlagFontSize.